Problem z aktualizacją SMF do wersji 2.0.7

Konfiguracja forum SMF.
Chorowity
Posty: 3
Rejestracja: 08 lut 2014, 20:33:18
Reputacja: 0
Płeć: Niewybrana
User Agent: Firefox Windows

Problem z aktualizacją SMF do wersji 2.0.7

Postautor: Chorowity » 08 lut 2014, 20:41:30

Witam. Mam problem z zaktualizowaniem SMF (2.0.6) do wersji 2.0.7. Problem polega na tym że kiedy na stronie głównej forum przechodzę do ->panelu administratora->pakietów i wybiorę już up do 2.0.7 następnie wszystko wpisze serwer FTP i całą resztę klikam zainstaluj a moim oczom ukazuje się następujący komunikat "Nie możesz pobierać lub instalować nowych pakietów, ponieważ nie można zapisywać w katalogu pakietów!" próbowałem już kilkadziesiąt razy różnymi sposobami i jak robię to po raz enty to aż mnie coś strzela. Pisałem na forum Polskiej pomocy SMF jednak nie dostałem tam klarownej odpowiedzi dlaczego tak się dzieje ani jak ten problem rozwiązać. Proszę o pomoc. Dzięki.
rkd77
Admin CBA
Posty: 4170
Rejestracja: 24 maja 2009, 16:45:21
Reputacja: 115
Płeć: Niewybrana
User Agent: Chrome Linux 1024x768

Re: Problem z aktualizacją SMF do wersji 2.0.7

Postautor: rkd77 » 08 lut 2014, 21:22:22

Chorowity, software instalowany w panelu oprogramowania cba, powinno się uaktualniać też przez panel.
W przypadku smf2 to wygląda tak:
- skopiować gdzieś Settings.php i Packages/installed.list
- usunąć w panelu oprogramowania cba starą wersję
- poczekać kilkanaście sekund
- zainstalować w to samo miejsce nową wersję (cały czas w panelu cba)
- kliknąć Dodaj, jak się pojawi komunikat, żeby poczekać kilkanaście sekund, to poczekać, ale nie klikać odnośnika
- usunąć plik install.php
- skopiować z powrotem na swoje miejsce Settings.php i Packages/installed.list

Jeśli nie ma nowej wersji oprogramowania w panelu, to jest to błąd i należy to zgłaszać.

Podejrzewam, że stary sposób ze skopiowaniem plików na swój komputer, skasowaniem ich na serwerze, i wgraniem ich z powrotem by zadziałał w tej sytuacji, ale lepszy jest upgrade przez panel.
Czy wiesz, że:
  • W Panelu CBA w sekcji "wsparcie" jest dedykowany system ticketów (obsługi technicznej)
  • Odpowiadamy na Forum oraz na adres mailowy obsluga(malpa)cba.pl
  • Jesteśmy również na Facebooku! Znajdź nas na facebook.com/hostingcba | cba.pl
W czym jeszcze możemy pomóc?
Chorowity
Posty: 3
Rejestracja: 08 lut 2014, 20:33:18
Reputacja: 0
Płeć: Niewybrana
User Agent: Firefox Windows 1680x1050

Re: Problem z aktualizacją SMF do wersji 2.0.7

Postautor: Chorowity » 08 lut 2014, 21:51:01

Okej mam jednak jeszcze jedno pytanie co z postami i całą resztą one zostaną na tym forum czy nie? A co do pierwszego myślnika to "skopiować gdzieś" to znaczy utworzyć nowy katalog w ftp i przenieść to tam? Jeśli miałbym zrzucić sobie to na dysk to wydaje mi się że w net2ftp nie ma takiej opcji. Jeśli mam zrobić coś źle wole dopytać.

Dobra widzę że jest opcja pobierz. Sorry że zawracam głowę.

Ok ciągnę dalej mam instalator SMF no i jestem przy kroku 5 i mam coś takiego "Błąd krytyczny!
Instalator wykrył inną wersję SMF zainstalowaną z podanymi teraz informacjami. Jeśli próbujesz dokonać uaktualnienia, powinieneś skorzystać z paczki do aktualizacji, a nie instalacji.

Możesz również spróbować podać inne dane bazy danych, lub zrobić kopię bezpieczeństwa i usunąć aktualną bazę danych, w celu dokończenia instalacji."

Co z tym?
rkd77
Admin CBA
Posty: 4170
Rejestracja: 24 maja 2009, 16:45:21
Reputacja: 115
Płeć: Niewybrana
User Agent: Chrome Linux 1024x768

Re: Problem z aktualizacją SMF do wersji 2.0.7

Postautor: rkd77 » 08 lut 2014, 22:27:19

Jak przy upgrade nie kliknie się w odnośnik, który się pojawia przy instalacji, to baza danych jest nieruszana.
Podobnie zainstalowane dodatki. Usuwa się tylko pliki smfa i wgrywa się tylko pliki smfa.
Czy wiesz, że:
  • W Panelu CBA w sekcji "wsparcie" jest dedykowany system ticketów (obsługi technicznej)
  • Odpowiadamy na Forum oraz na adres mailowy obsluga(malpa)cba.pl
  • Jesteśmy również na Facebooku! Znajdź nas na facebook.com/hostingcba | cba.pl
W czym jeszcze możemy pomóc?
Chorowity
Posty: 3
Rejestracja: 08 lut 2014, 20:33:18
Reputacja: 0
Płeć: Niewybrana
User Agent: Firefox Windows 1680x1050

Re: Problem z aktualizacją SMF do wersji 2.0.7

Postautor: Chorowity » 08 lut 2014, 22:44:28

Czyli co tego komunikatu wgl nie powinno być?
Wiem że zawracam Ci głowę a administrator ma sporo do roboty jednak wolę pociągnąć trochę za język bo kto wie może ktoś będzie miał podobny problem (no chyba że tylko ja jestem takim "debilem" żeby nie wiedzieć jak to zrobić).
trenerek
Posty: 1
Rejestracja: 15 paź 2014, 22:52:38
Reputacja: 0
Płeć: Niewybrana
User Agent: Internet Explorer Windows 1366x768

Re: Problem z aktualizacją SMF do wersji 2.0.7

Postautor: trenerek » 06 lis 2014, 10:54:42

Witam mam takie pytanie,czy będzie nowa wersja smf 2.0.9?

---- EDIT ----

Witam mam takie pytanie,czy będzie nowa wersja smf 2.0.9?
rkd77
Admin CBA
Posty: 4170
Rejestracja: 24 maja 2009, 16:45:21
Reputacja: 115
Płeć: Niewybrana
User Agent: Chrome Linux 1024x768

Re: Problem z aktualizacją SMF do wersji 2.0.7

Postautor: rkd77 » 06 lis 2014, 12:51:15

trenerek, nie będzie raczej. smf2 jest "niekompatybilny" ze sposobem instalacji oprogramowania na cba. Więcej z tym kłopotów niż pożytku. Można wgrać smf2 przez ftp, trzeba tylko w jednym pliku zmienić nieco kod, żeby się reklama nie "wcinała" w uśmieszki. Jak sobię przypomnę, gdzie to zmienić, to napiszę.
Czy wiesz, że:
  • W Panelu CBA w sekcji "wsparcie" jest dedykowany system ticketów (obsługi technicznej)
  • Odpowiadamy na Forum oraz na adres mailowy obsluga(malpa)cba.pl
  • Jesteśmy również na Facebooku! Znajdź nas na facebook.com/hostingcba | cba.pl
W czym jeszcze możemy pomóc?
aaamorkowo
Posty: 4
Rejestracja: 28 lis 2014, 14:11:17
Reputacja: 0
Płeć: Niewybrana
User Agent: Firefox Windows

Re: Problem z aktualizacją SMF do wersji 2.0.7

Postautor: aaamorkowo » 02 cze 2015, 10:54:18

Chorowity WroteColon komunikat "Nie możesz pobierać lub instalować nowych pakietów, ponieważ nie można zapisywać w katalogu pakietów!"


Na ten problem najczęściej pomaga utworzenie w katalogu "packages" katalogu "temp" i nadanie mu praw (chmod 777). Przeważnie po takiej operacji można instalować dodatki z panelu forum. Nie gwarantuje to jednak poprawnej instalacji.

Wróć do „SMF”

Kto jest online

Użytkownicy przeglądający to forum: Obecnie na forum nie ma żadnego zarejestrowanego użytkownika i 1 gość